From 522ac859e4c423ef5814ab51d6818535177d16f4 Mon Sep 17 00:00:00 2001
From: Aurelien Nephtali <aurelien.nephtali@gmail.com>
Date: Thu, 29 Mar 2012 16:13:45 +0000
Subject: [PATCH] Fix --sout-ffmpeg-codec

---
 modules/codec/avcodec/encoder.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/codec/avcodec/encoder.c b/modules/codec/avcodec/encoder.c
index cfb7a27..9bd8619 100644
--- a/modules/codec/avcodec/encoder.c
+++ b/modules/codec/avcodec/encoder.c
@@ -202,6 +202,8 @@ int OpenEncoder( vlc_object_t *p_this )
     float f_val;
     char *psz_val;
 
+    config_ChainParse( p_enc, ENC_CFG_PREFIX, ppsz_enc_options, p_enc->p_cfg );
+
     if( p_enc->fmt_out.i_codec == VLC_CODEC_MP3 )
     {
         i_cat = AUDIO_ES;
@@ -334,8 +336,6 @@ int OpenEncoder( vlc_object_t *p_this )
         p_context->dsp_mask |= AV_CPU_FLAG_SSE2;
     }
 
-    config_ChainParse( p_enc, ENC_CFG_PREFIX, ppsz_enc_options, p_enc->p_cfg );
-
     p_sys->i_key_int = var_GetInteger( p_enc, ENC_CFG_PREFIX "keyint" );
     p_sys->i_b_frames = var_GetInteger( p_enc, ENC_CFG_PREFIX "bframes" );
     p_sys->i_vtolerance = var_GetInteger( p_enc, ENC_CFG_PREFIX "vt" ) * 1000;
-- 
1.7.9.1

